      /**
      * Identifica o clique fora do elemento $parent
      *
      * @example
      *   function fora() {
      *     console.log('clicou fora');
      *   }
      *   function dentro() {
      *     console.log('clicou dentro');
      *   }
      *   onClickOut($('.quick-setup-container'), $('.overlay'), fora, dentro, false);
      *
      * @param  $parent        {element}  obrigatorio   elemento
      * @param  $removeElement {element|null}  [opcional]    elemento a ser removido
      * @param  functionTrue   {function|null} [opcional]    funcao excutada quando o clique for fora do elemento
      * @param  functionFalse  {function|null} [opcional]    funcao excutada quando o clique for dentro do elemento
      * @param  destroyEvent   {boolean}  [opcional]    parar de executar a funcao apos o primeiro click fora
      */
     function onClickOut($parent, $removeElement, functionTrue, functionFalse, destroyEvent) {
      $('body').on('click', function(e){
        if ($parent.find(e.target).length == 0 && $parent[0] != $(e.target)[0]) {
          if (typeof functionTrue != 'undefined' && functionTrue != null) {
            functionTrue();
          }
          if (typeof $removeElement != 'undefined' && $removeElement != null) {
            $removeElement.remove();
          }
          if (typeof destroyEvent == 'undefined' || destroyEvent == true) {
            $('body').off('click');
          }
        } else {
          if (typeof functionFalse != 'undefined' && functionFalse != null) {
            functionFalse();
          }
        }
      });
    }